-- =============================================
-- Author:		Paolo Giovanetti
-- Create date: 25/11/2008
-- Description:	Modificate le tabelle da cui pescare i dati (non più la all_pos_cons_cat)
-- =============================================
CREATE procedure [C6Mart].[DM_PIRAMIDE_VERT]
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @ID_ELAB INT
	DECLARE @TIPO_ELAB VARCHAR(1)
	SET @ID_ELAB = C6MART.GETIDELAB()
	SET @TIPO_ELAB = C6MART.GETTIPOELAB()
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'DM_PIRAMIDE_VERT',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	TRUNCATE TABLE C6MART.PIRAMIDE_VERT
	INSERT INTO [C6Mart].[PIRAMIDE_VERT]
		   ([RETE]
		   ,[COD_FISCALE]
		   ,[ID_AREA]
		   ,[CTV_AREA]
		   ,[ID_ELAB]
		   ,[TIPO_ELAB])
	SELECT DISTINCT
		ALL_CF_PB.RETE_PB AS RETE,
		ALL_CF_PB.CODICE_FISCALE AS COD_FISCALE,
		CONSAREA.C_NEEDAREA_V_46360 AS ID_AREA,
		CONSAREA.C_CTVNEEDARE_EA4FB AS CTV_AREA,
		@ID_ELAB AS ID_ELAB,
		@TIPO_ELAB AS TIPO_ELAB
	FROM C6STAGING.ALL_CF_PB
	INNER JOIN C6STAGING.CONSUL 
		ON CONSUL.INSTID = ALL_CF_PB.RETE_PB
		AND CONSUL.ADBKID = ALL_CF_PB.CODICEFISCALE
		AND CONSUL.TYPE$_TIPOCO_1EA7C = 'Bozza'  --'AttivaAggiornata'
	INNER JOIN C6STAGING.CONSAREA 
		ON CONSAREA.F_PCONSULENZ_7FBE3 = CONSUL.OID$
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'DM_PIRAMIDE_VERT' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'DM_PIRAMIDE_VERT'
		)
END